<?php
namespace Plugin\View;

use Plugin\Controller\Container;
/**
 * A view that exists only locally inside a template.
 * 
 * This view has helper functions 
 * @author ibrahim
 *
 */
class LocalView {
	/**
	 * Hold on to values set from the container
	 * @var array mixed
	 */
	private $vars;
	
	public function __construct(){
		$this->vars = Container::$slots;
	}
	public function getSlot($name){
		if (!isset($this->vars[$name])){
			return ;
		}
		
		return $this->vars[$name];
	}
}