<?php
namespace src\Blog\Main\Controller;

use Plugin\Server\Response;
use Plugin\Controller\Container;

class HomeController extends Container{
	
	public function indexAction(){
		$this->setSlots("title", "A blog built entirely from scratch - Scratchblog");
		$em = $this->getManager();
		
		$articles = $em->get("Blog:Model:Article")->getLatestArticles();
		$vars = array("articles"=>$articles);
		
		return $this->render("Blog:Main:index.html.php",$vars);
	}
	
	
}